@echo off
color 02
@echo           *******************************************
@echo           *    configurazione parametri in corso    *
@echo           *           ... Attendere ...             *
@echo           *           .......connecting             *
@echo           *******************************************
echo.
@ping 192.168.xxx.xxx -4> nul
@IF ERRORLEVEL 1 GOTO dead
@IF ERRORLEVEL 0 GOTO alive
@ping 192.168.xxx.xxx -4> nul
@IF ERRORLEVEL 3 GOTO dead
@IF ERRORLEVEL 2 GOTO alive
echo.
:dead
@ECHO                          DISCONNESSO 
@GOTO end
:alive
@ECHO                     ...:::  - CONNESSIONE STABILITA :::...
@ECHO                     ...:::  - CONNESSIONE STABILITA :::...
echo.
@GOTO BACKUP
echo.
:end
echo.
@ECHO                        ... Goodbye ...
echo.
pause
exit
echo.
:BACKUP
echo.
echo Quale Backup vuoi eseguire?
echo.
echo (1) nomefile1
echo (2) nomefile2
echo (3) nomefile3
echo Per uscire premere [9]

set /p "Scelta=>"
if "%Scelta%"=="1" goto A
if "%Scelta%"=="2" goto B
if "%Scelta%"=="3" goto C
if "%Scelta%"=="9" goto x

echo.
:A
cls
Xcopy c:\nomecartella\*.* \\nomeserver\nomecartella\ /s/e/d:06/10/2011
@ECHO ...:::   BACKUP COMPLETATO   :::...
echo.
@GOTO BACKUP

:B
cls
Xcopy c:\nomecartella\*.* \\nomeserver\nomecartella\ /s/e
@ECHO ...:::   BACKUP COMPLETATO   :::...
echo.
@GOTO BACKUP

:C
cls
Xcopy c:\nomecartella\*.* \\nomeserver\nomecartella\ /s/e
@ECHO ...:::   BACKUP COMPLETATO   :::...
echo.
@GOTO BACKUP



:x
echo Premi un tasto per uscire
EXIT


